新版phpStudy,支持自定义php版本

  • 内容
  • 相关

新版phpStudy,支持自定义php版本,只支持php5.3.0以后的任意版本。

一定要下载win版php,不是下载源码,win版php下载地址:http://lan.24kw.cn/tools/20.html

只要下载php5.3.0以上的版本,扔到php目录下即可,剩下的事由程序搞定,自动配好。


详情请点击这里


载下面教程以php-5.3.29和php-7.1.0RC5-nts为例

下载php-5.3.29和php-7.1.0RC5-nts两个zip压缩包,解压出来。如下图。

1.jpg


目录重命名,保留版本号及nts ,如下图,复制到phpStudy安装目录的php文件夹即可。

注意:目录一定要保留版本号及nts 信息。没有nts的php只有apache支持。有nts的版本apache、nginx都支持。

2.jpg



关闭phpStudy,重启控制面板,你就会发现菜单中多了php5.3和php7.1。程序已经自动配好php5.3和php7.1。

注意看下图php5.3和php7.1的区别。php5.3的版本没带nts只有apache支持。

3.jpg


切换到php7.1即可,就这么简单。

4.jpg

本文标签:

版权声明:若无特殊注明,本文皆为《小蓝》原创,转载请保留文章出处。

文章标题:新版phpStudy,支持自定义php版本

本文连接:https://www.nswin.cc/theme/26.html

二维码加载中……

发表评论

电子邮件地址不会被公开。 必填项已用*标注